Index: protocols/oscar/oscar.c
===================================================================
--- protocols/oscar/oscar.c	(revision 8519f457c31139750b9f7497834ac90a57196d22)
+++ protocols/oscar/oscar.c	(revision 75ad761cc229568e799659d6c6a623c4bc837ba4)
@@ -1956,170 +2079,183 @@
 	/* Add from server list to local list */
 	tmp = 0;
-	for (curitem=sess->ssi.items; curitem; curitem=curitem->next) {
+	for (curitem = sess->ssi.items; curitem; curitem = curitem->next) {
 		nrm = curitem->name ? normalize(curitem->name) : NULL;
-		
+
 		switch (curitem->type) {
-			case 0x0000: /* Buddy */
-				if ((curitem->name) && (!imcb_buddy_by_handle(ic, nrm))) {
-					char *realname = NULL;
-
-					if (curitem->data && aim_gettlv(curitem->data, 0x0131, 1))
-						    realname = aim_gettlv_str(curitem->data, 0x0131, 1);
-					
-					imcb_add_buddy(ic, nrm, curgroup ? (curgroup->gid == curitem->gid ? curgroup->name : NULL) : NULL);
-					
-					if (realname) {
-						imcb_buddy_nick_hint(ic, nrm, realname);
-						imcb_rename_buddy(ic, nrm, realname);
-						g_free(realname);
-					}
+		case 0x0000:         /* Buddy */
+			if ((curitem->name) && (!imcb_buddy_by_handle(ic, nrm))) {
+				char *realname = NULL;
+
+				if (curitem->data && aim_gettlv(curitem->data, 0x0131, 1)) {
+					realname = aim_gettlv_str(curitem->data, 0x0131, 1);
 				}
-				break;
-
-			case 0x0001: /* Group */
-				curgroup = curitem;
-				break;
-
-			case 0x0002: /* Permit buddy */
-				if (curitem->name) {
-					GSList *list;
-					for (list=ic->permit; (list && aim_sncmp(curitem->name, list->data)); list=list->next);
-					if (!list) {
-						char *name;
-						name = g_strdup(nrm);
-						ic->permit = g_slist_append(ic->permit, name);
-						tmp++;
-					}
+
+				imcb_add_buddy(ic, nrm,
+				               curgroup ? (curgroup->gid ==
+				                           curitem->gid ? curgroup->name : NULL) : NULL);
+
+				if (realname) {
+					imcb_buddy_nick_hint(ic, nrm, realname);
+					imcb_rename_buddy(ic, nrm, realname);
+					g_free(realname);
 				}
-				break;
-
-			case 0x0003: /* Deny buddy */
-				if (curitem->name) {
-					GSList *list;
-					for (list=ic->deny; (list && aim_sncmp(curitem->name, list->data)); list=list->next);
-					if (!list) {
-						char *name;
-						name = g_strdup(nrm);
-						ic->deny = g_slist_append(ic->deny, name);
-						tmp++;
-					}
+			}
+			break;
+
+		case 0x0001:         /* Group */
+			curgroup = curitem;
+			break;
+
+		case 0x0002:         /* Permit buddy */
+			if (curitem->name) {
+				GSList *list;
+				for (list = ic->permit; (list && aim_sncmp(curitem->name, list->data));
+				     list = list->next) {
+					;
 				}
-				break;
-
-			case 0x0004: /* Permit/deny setting */
-				if (curitem->data) {
-					guint8 permdeny;
-					if ((permdeny = aim_ssi_getpermdeny(sess->ssi.items)) && (permdeny != ic->permdeny)) {
-						ic->permdeny = permdeny;
-						tmp++;
-					}
+				if (!list) {
+					char *name;
+					name = g_strdup(nrm);
+					ic->permit = g_slist_append(ic->permit, name);
+					tmp++;
 				}
-				break;
-
-			case 0x0005: /* Presence setting */
-				/* We don't want to change Gaim's setting because it applies to all accounts */
-				break;
+			}
+			break;
+
+		case 0x0003:         /* Deny buddy */
+			if (curitem->name) {
+				GSList *list;
+				for (list = ic->deny;
+				     (list && aim_sncmp(curitem->name, list->data)); list = list->next) {
+					;
+				}
+				if (!list) {
+					char *name;
+					name = g_strdup(nrm);
+					ic->deny = g_slist_append(ic->deny, name);
+					tmp++;
+				}
+			}
+			break;
+
+		case 0x0004:         /* Permit/deny setting */
+			if (curitem->data) {
+				guint8 permdeny;
+				if ((permdeny = aim_ssi_getpermdeny(sess->ssi.items)) && (permdeny != ic->permdeny)) {
+					ic->permdeny = permdeny;
+					tmp++;
+				}
+			}
+			break;
+
+		case 0x0005:         /* Presence setting */
+			/* We don't want to change Gaim's setting because it applies to all accounts */
+			break;
 		} /* End of switch on curitem->type */
 	} /* End of for loop */
 
 	aim_ssi_enable(sess, fr->conn);
-	
+
 	/* Request offline messages, now that the buddy list is complete. */
 	aim_icq_reqofflinemsgs(sess);
-	
+
 	/* Now that we have a buddy list, we can tell BitlBee that we're online. */
 	imcb_connected(ic);
-	
-	return 1;
-}
-
-static int gaim_ssi_parseack( aim_session_t *sess, aim_frame_t *fr, ... )
+
+	return 1;
+}
+
+static int gaim_ssi_parseack(aim_session_t *sess, aim_frame_t *fr, ...)
 {
 	aim_snac_t *origsnac;
 	va_list ap;
 
-	va_start( ap, fr );
-	origsnac = va_arg( ap, aim_snac_t * );
-	va_end( ap );
-	
-	if( origsnac && origsnac->family == AIM_CB_FAM_SSI && origsnac->type == AIM_CB_SSI_ADD && origsnac->data )
-	{
-		int i, st, count = aim_bstream_empty( &fr->data );
+	va_start(ap, fr);
+	origsnac = va_arg(ap, aim_snac_t *);
+	va_end(ap);
+
+	if (origsnac && origsnac->family == AIM_CB_FAM_SSI && origsnac->type == AIM_CB_SSI_ADD && origsnac->data) {
+		int i, st, count = aim_bstream_empty(&fr->data);
 		char *list;
-		
-		if( count & 1 )
-		{
+
+		if (count & 1) {
 			/* Hmm, the length should be even... */
-			imcb_error( sess->aux_data, "Received SSI ACK package with non-even length");
-			return( 0 );
+			imcb_error(sess->aux_data, "Received SSI ACK package with non-even length");
+			return(0);
 		}
 		count >>= 1;
-		
+
 		list = (char *) origsnac->data;
-		for( i = 0; i < count; i ++ )
-		{
-			struct aim_ssi_item *ssigroup = aim_ssi_itemlist_findparent( sess->ssi.items, list );
+		for (i = 0; i < count; i++) {
+			struct aim_ssi_item *ssigroup = aim_ssi_itemlist_findparent(sess->ssi.items, list);
 			char *group = ssigroup ? ssigroup->name : NULL;
-			
-			st = aimbs_get16( &fr->data );
-			if( st == 0x00 )
-			{
-				imcb_add_buddy( sess->aux_data, normalize(list), group );
+
+			st = aimbs_get16(&fr->data);
+			if (st == 0x00) {
+				imcb_add_buddy(sess->aux_data, normalize(list), group);
+			} else if (st == 0x0E) {
+				imcb_log(sess->aux_data,
+				         "Buddy %s can't be added without authorization, requesting authorization",
+				         list);
+
+				aim_ssi_auth_request(sess, fr->conn, list, "");
+				aim_ssi_addbuddies(sess, fr->conn, OSCAR_GROUP, &list, 1, 1);
+			} else if (st == 0x0A) {
+				imcb_error(sess->aux_data, "Buddy %s is already in your list", list);
+			} else {
+				imcb_error(sess->aux_data, "Error while adding buddy: 0x%04x", st);
 			}
-			else if( st == 0x0E )
-			{
-				imcb_log( sess->aux_data, "Buddy %s can't be added without authorization, requesting authorization", list );
-				
-				aim_ssi_auth_request( sess, fr->conn, list, "" );
-				aim_ssi_addbuddies( sess, fr->conn, OSCAR_GROUP, &list, 1, 1 );
-			}
-			else if( st == 0x0A )
-			{
-				imcb_error( sess->aux_data, "Buddy %s is already in your list", list );
-			}
-			else
-			{
-				imcb_error( sess->aux_data, "Error while adding buddy: 0x%04x", st );
-			}
-			list += strlen( list ) + 1;
-		}
-	}
-	
-	return( 1 );
-}
-
-static void oscar_add_permit(struct im_connection *ic, char *who) {
-	struct oscar_data *od = (struct oscar_data *)ic->proto_data;
+			list += strlen(list) + 1;
+		}
+	}
+
+	return(1);
+}
+
+static void oscar_add_permit(struct im_connection *ic, char *who)
+{
+	struct oscar_data *od = (struct oscar_data *) ic->proto_data;
+
 	if (od->icq) {
 		aim_ssi_auth_reply(od->sess, od->conn, who, 1, "");
 	} else {
-		if (od->sess->ssi.received_data)
+		if (od->sess->ssi.received_data) {
 			aim_ssi_addpord(od->sess, od->conn, &who, 1, AIM_SSI_TYPE_PERMIT);
-	}
-}
-
-static void oscar_add_deny(struct im_connection *ic, char *who) {
-	struct oscar_data *od = (struct oscar_data *)ic->proto_data;
+		}
+	}
+}
+
+static void oscar_add_deny(struct im_connection *ic, char *who)
+{
+	struct oscar_data *od = (struct oscar_data *) ic->proto_data;
+
 	if (od->icq) {
 		aim_ssi_auth_reply(od->sess, od->conn, who, 0, "");
 	} else {
-		if (od->sess->ssi.received_data)
+		if (od->sess->ssi.received_data) {
 			aim_ssi_addpord(od->sess, od->conn, &who, 1, AIM_SSI_TYPE_DENY);
-	}
-}
-
-static void oscar_rem_permit(struct im_connection *ic, char *who) {
-	struct oscar_data *od = (struct oscar_data *)ic->proto_data;
+		}
+	}
+}
+
+static void oscar_rem_permit(struct im_connection *ic, char *who)
+{
+	struct oscar_data *od = (struct oscar_data *) ic->proto_data;
+
 	if (!od->icq) {
-		if (od->sess->ssi.received_data)
+		if (od->sess->ssi.received_data) {
 			aim_ssi_delpord(od->sess, od->conn, &who, 1, AIM_SSI_TYPE_PERMIT);
-	}
-}
-
-static void oscar_rem_deny(struct im_connection *ic, char *who) {
-	struct oscar_data *od = (struct oscar_data *)ic->proto_data;
+		}
+	}
+}
+
+static void oscar_rem_deny(struct im_connection *ic, char *who)
+{
+	struct oscar_data *od = (struct oscar_data *) ic->proto_data;
+
 	if (!od->icq) {
-		if (od->sess->ssi.received_data)
+		if (od->sess->ssi.received_data) {
 			aim_ssi_delpord(od->sess, od->conn, &who, 1, AIM_SSI_TYPE_DENY);
+		}
 	}
 }
@@ -2159,12 +2295,13 @@
 	va_end(ap);
 
-	if (!info->uin)
+	if (!info->uin) {
 		return 0;
+	}
 
 	str = g_string_sized_new(512);
 	g_snprintf(who, sizeof(who), "%u", info->uin);
 
-	g_string_printf(str, "%s: %s - %s: %s", _("UIN"), who, _("Nick"), 
-	info->nick ? info->nick : "-");
+	g_string_printf(str, "%s: %s - %s: %s", _("UIN"), who, _("Nick"),
+	                info->nick ? info->nick : "-");
 	g_string_append_printf(str, "\n%s: %s", _("First Name"), info->first);
 	g_string_append_printf(str, "\n%s: %s", _("Last Name"), info->last);
@@ -2181,13 +2318,14 @@
 	}
 	g_string_append_printf(str, "\n%s: %s", _("Mobile Phone"), info->mobile);
-	if (info->gender != 0)
-		g_string_append_printf(str, "\n%s: %s", _("Gender"), info->gender==1 ? _("Female") : _("Male"));
+	if (info->gender != 0) {
+		g_string_append_printf(str, "\n%s: %s", _("Gender"), info->gender == 1 ? _("Female") : _("Male"));
+	}
 	if (info->birthyear || info->birthmonth || info->birthday) {
 		char date[30];
 		struct tm tm;
 		memset(&tm, 0, sizeof(struct tm));
-		tm.tm_mday = (int)info->birthday;
-		tm.tm_mon = (int)info->birthmonth-1;
-		tm.tm_year = (int)info->birthyear%100;
+		tm.tm_mday = (int) info->birthday;
+		tm.tm_mon = (int) info->birthmonth - 1;
+		tm.tm_year = (int) info->birthyear % 100;
 		strftime(date, sizeof(date), "%Y-%m-%d", &tm);
 		g_string_append_printf(str, "\n%s: %s", _("Birthday"), date);
@@ -2200,17 +2338,23 @@
 	g_string_append_printf(str, "\n%s: %s", _("Personal Web Page"), info->personalwebpage);
 	if (info->info && info->info[0]) {
-		g_string_sprintfa(str, "\n%s:\n%s\n%s", _("Additional Information"), 
-		info->info, _("End of Additional Information"));
+		g_string_sprintfa(str, "\n%s:\n%s\n%s", _("Additional Information"),
+		                  info->info, _("End of Additional Information"));
 	}
 	g_string_append_c(str, '\n');
-	if ((info->homeaddr && (info->homeaddr[0])) || (info->homecity && info->homecity[0]) || (info->homestate && info->homestate[0]) || (info->homezip && info->homezip[0])) {
+	if ((info->homeaddr &&
+	     (info->homeaddr[0])) ||
+	    (info->homecity &&
+	     info->homecity[0]) || (info->homestate && info->homestate[0]) || (info->homezip && info->homezip[0])) {
 		g_string_append_printf(str, "%s:", _("Home Address"));
 		g_string_append_printf(str, "\n%s: %s", _("Address"), info->homeaddr);
 		g_string_append_printf(str, "\n%s: %s", _("City"), info->homecity);
-		g_string_append_printf(str, "\n%s: %s", _("State"), info->homestate); 
+		g_string_append_printf(str, "\n%s: %s", _("State"), info->homestate);
 		g_string_append_printf(str, "\n%s: %s", _("Zip Code"), info->homezip);
 		g_string_append_c(str, '\n');
 	}
-	if ((info->workaddr && info->workaddr[0]) || (info->workcity && info->workcity[0]) || (info->workstate && info->workstate[0]) || (info->workzip && info->workzip[0])) {
+	if ((info->workaddr &&
+	     info->workaddr[0]) ||
+	    (info->workcity &&
+	     info->workcity[0]) || (info->workstate && info->workstate[0]) || (info->workzip && info->workzip[0])) {
 		g_string_append_printf(str, "%s:", _("Work Address"));
 		g_string_append_printf(str, "\n%s: %s", _("Address"), info->workaddr);
@@ -2220,5 +2364,9 @@
 		g_string_append_c(str, '\n');
 	}
-	if ((info->workcompany && info->workcompany[0]) || (info->workdivision && info->workdivision[0]) || (info->workposition && info->workposition[0]) || (info->workwebpage && info->workwebpage[0])) {
+	if ((info->workcompany &&
+	     info->workcompany[0]) ||
+	    (info->workdivision &&
+	     info->workdivision[0]) ||
+	    (info->workposition && info->workposition[0]) || (info->workwebpage && info->workwebpage[0])) {
 		g_string_append_printf(str, "%s:", _("Work Information"));
 		g_string_append_printf(str, "\n%s: %s", _("Company"), info->workcompany);
@@ -2247,7 +2395,6 @@
 	/* Make sure encoding begins with charset= */
 	if (strncmp(encoding, "text/plain; charset=", 20) &&
-		strncmp(encoding, "text/aolrtf; charset=", 21) &&
-		strncmp(encoding, "text/x-aolrtf; charset=", 23))
-	{
+	    strncmp(encoding, "text/aolrtf; charset=", 21) &&
+	    strncmp(encoding, "text/x-aolrtf; charset=", 23)) {
 		return NULL;
 	}
@@ -2256,8 +2403,9 @@
 	end = strrchr(encoding, '"');
 
-	if ((begin == NULL) || (end == NULL) || (begin >= end))
+	if ((begin == NULL) || (end == NULL) || (begin >= end)) {
 		return NULL;
-
-	ret = g_strndup(begin+1, (end-1) - begin);
+	}
+
+	ret = g_strndup(begin + 1, (end - 1) - begin);
 
 	return ret;
@@ -2288,5 +2436,5 @@
 	 */
 	if (*utf8 == 0) {
-	    strncpy(utf8, text, textlen);
+		strncpy(utf8, text, textlen);
 	}
 
@@ -2312,11 +2460,12 @@
 	va_end(ap);
 
-	if(text_encoding)
+	if (text_encoding) {
 		extracted_encoding = oscar_encoding_extract(text_encoding);
-	if(infotype == AIM_GETINFO_GENERALINFO) {
+	}
+	if (infotype == AIM_GETINFO_GENERALINFO) {
 		/*Display idle time*/
 		char buff[256];
 		struct tm idletime;
-		if(userinfo->idletime) {
+		if (userinfo->idletime) {
 			memset(&idletime, 0, sizeof(struct tm));
 			idletime.tm_mday = (userinfo->idletime / 60) / 24;
@@ -2327,6 +2476,6 @@
 			imcb_log(ic, "%s: %s", _("Idle Time"), buff);
 		}
-		
-		if(text) {
+
+		if (text) {
 			utf8 = oscar_encoding_to_utf8(extracted_encoding, text, text_length);
 			imcb_log(ic, "%s\n%s", _("User Info"), utf8);
@@ -2334,5 +2483,5 @@
 			imcb_log(ic, _("No user info available."));
 		}
-	} else if(infotype == AIM_GETINFO_AWAYMESSAGE && userinfo->flags & AIM_FLAG_AWAY) {
+	} else if (infotype == AIM_GETINFO_AWAYMESSAGE && userinfo->flags & AIM_FLAG_AWAY) {
 		utf8 = oscar_encoding_to_utf8(extracted_encoding, text, text_length);
 		imcb_log(ic, "%s\n%s", _("Away Message"), utf8);
@@ -2340,5 +2489,5 @@
 
 	g_free(utf8);
-   
+
 	return 1;
 }
@@ -2356,18 +2505,16 @@
 	type2 = va_arg(ap, int);
 	va_end(ap);
-    
-	if(type2 == 0x0002) {
+
+	if (type2 == 0x0002) {
 		/* User is typing */
 		imcb_buddy_typing(ic, normalize(sn), OPT_TYPING);
-	} 
-	else if (type2 == 0x0001) {
+	} else if (type2 == 0x0001) {
 		/* User has typed something, but is not actively typing (stale) */
 		imcb_buddy_typing(ic, normalize(sn), OPT_THINKING);
-	}
-	else {
+	} else {
 		/* User has stopped typing */
 		imcb_buddy_typing(ic, normalize(sn), 0);
 	}
-	
+
 	return 1;
 }
@@ -2376,5 +2523,6 @@
 {
 	struct oscar_data *od = ic->proto_data;
-	return( aim_im_sendmtn(od->sess, 1, who, (typing & OPT_TYPING) ? 0x0002 : 0x0000) );
+
+	return(aim_im_sendmtn(od->sess, 1, who, (typing & OPT_TYPING) ? 0x0002 : 0x0000));
 }
 
@@ -2382,5 +2530,5 @@
 {
 	struct im_connection *ic = c->ic;
-	struct oscar_data * od = (struct oscar_data*)ic->proto_data;
+	struct oscar_data * od = (struct oscar_data*) ic->proto_data;
 	struct chat_connection * ccon;
 	int ret;
@@ -2388,14 +2536,17 @@
 	guint16 flags;
 	char *s;
-	
-	if (!(ccon = c->data))
+
+	if (!(ccon = c->data)) {
 		return;
-	  	
-	for (s = message; *s; s++)
-		if (*s & 128)
+	}
+
+	for (s = message; *s; s++) {
+		if (*s & 128) {
 			break;
-	
+		}
+	}
+
 	flags = AIM_CHATFLAGS_NOREFLECT;
-	
+
 	/* Message contains high ASCII chars, time for some translation! */
 	if (*s) {
@@ -2411,5 +2562,5 @@
 		} else {
 			/* OOF, translation failed... Oh well.. */
-			g_free( s );
+			g_free(s);
 			s = message;
 		}
@@ -2417,11 +2568,11 @@
 		s = message;
 	}
-	  	
+
 	ret = aim_chat_send_im(od->sess, ccon->conn, flags, s, len);
-	  	
-	if (s != message) {	
+
+	if (s != message) {
 		g_free(s);
-  }
-  
+	}
+
 /*  return (ret >= 0); */
 }
@@ -2430,17 +2581,18 @@
 {
 	struct im_connection *ic = c->ic;
-	struct oscar_data * od = (struct oscar_data *)ic->proto_data;
+	struct oscar_data * od = (struct oscar_data *) ic->proto_data;
 	struct chat_connection *ccon;
-	
-	if (!(ccon = c->data))
+
+	if (!(ccon = c->data)) {
 		return;
-	
+	}
+
 	aim_chat_invite(od->sess, od->conn, who, message ? message : "",
-					ccon->exchange, ccon->name, 0x0);
+	                ccon->exchange, ccon->name, 0x0);
 }
 
 void oscar_chat_kill(struct im_connection *ic, struct chat_connection *cc)
 {
-	struct oscar_data *od = (struct oscar_data *)ic->proto_data;
+	struct oscar_data *od = (struct oscar_data *) ic->proto_data;
 
 	/* Notify the conversation window that we've left the chat */
@@ -2449,6 +2601,7 @@
 	/* Destroy the chat_connection */
 	od->oscar_chats = g_slist_remove(od->oscar_chats, cc);
-	if (cc->inpa > 0)
+	if (cc->inpa > 0) {
 		b_event_remove(cc->inpa);
+	}
 	aim_conn_kill(od->sess, &cc->conn);
 	g_free(cc->name);
@@ -2459,28 +2612,29 @@
 void oscar_chat_leave(struct groupchat *c)
 {
-	if (!c->data)
+	if (!c->data) {
 		return;
+	}
 	oscar_chat_kill(c->ic, c->data);
 }
 
 struct groupchat *oscar_chat_join_internal(struct im_connection *ic, const char *room,
-	const char *nick, const char *password, int exchange_number)
-{
-	struct oscar_data * od = (struct oscar_data *)ic->proto_data;
+                                           const char *nick, const char *password, int exchange_number)
+{
+	struct oscar_data * od = (struct oscar_data *) ic->proto_data;
 	struct groupchat *ret = imcb_chat_new(ic, room);
 	aim_conn_t * cur;
 
-	if((cur = aim_getconn_type(od->sess, AIM_CONN_TYPE_CHATNAV))) {
+	if ((cur = aim_getconn_type(od->sess, AIM_CONN_TYPE_CHATNAV))) {
 		aim_chatnav_createroom(od->sess, cur, room, exchange_number);
-		
+
 		return ret;
 	} else {
 		struct create_room * cr = g_new0(struct create_room, 1);
-		
+
 		cr->exchange = exchange_number;
 		cr->name = g_strdup(room);
 		od->create_rooms = g_slist_append(od->create_rooms, cr);
 		aim_reqservice(od->sess, od->conn, AIM_CONN_TYPE_CHATNAV);
-		
+
 		return ret;
 	}
@@ -2488,5 +2642,5 @@
 
 struct groupchat *oscar_chat_join(struct im_connection *ic, const char *room,
-	const char *nick, const char *password, set_t **sets)
+                                  const char *nick, const char *password, set_t **sets)
 {
 	return oscar_chat_join_internal(ic, room, nick, password, set_getint(sets, "exchange_number"));
@@ -2495,21 +2649,23 @@
 struct groupchat *oscar_chat_with(struct im_connection * ic, char *who)
 {
-	struct oscar_data * od = (struct oscar_data *)ic->proto_data;
+	struct oscar_data * od = (struct oscar_data *) ic->proto_data;
 	struct groupchat *ret;
 	static int chat_id = 0;
 	char * chatname, *s;
-	
+
 	chatname = g_strdup_printf("%s%s%d", g_ascii_isdigit(*ic->acc->user) ? "icq" : "",
 	                           ic->acc->user, chat_id++);
-	
-	for (s = chatname; *s; s ++)
-		if (!g_ascii_isalnum(*s))
+
+	for (s = chatname; *s; s++) {
+		if (!g_ascii_isalnum(*s)) {
 			*s = '0';
-	
+		}
+	}
+
 	ret = oscar_chat_join_internal(ic, chatname, NULL, NULL, 4);
 	aim_chat_invite(od->sess, od->conn, who, "", 4, chatname, 0x0);
 
 	g_free(chatname);
-	
+
 	return ret;
 }
@@ -2518,5 +2674,5 @@
 {
 	struct aim_chat_invitation * inv = data;
-	
+
 	oscar_chat_join_internal(inv->ic, inv->name, NULL, NULL, 4);
 	g_free(inv->name);
@@ -2527,5 +2683,5 @@
 {
 	struct aim_chat_invitation * inv = data;
-	
+
 	g_free(inv->name);
 	g_free(inv);
@@ -2542,9 +2698,10 @@
 }
 
-void oscar_initmodule() 
+void oscar_initmodule()
 {
 	struct prpl *ret = g_new0(struct prpl, 1);
+
 	ret->name = "oscar";
-    ret->mms = 2343;       /* this guess taken from libotr UPGRADING file */
+	ret->mms = 2343;   /* this guess taken from libotr UPGRADING file */
 	ret->away_states = oscar_away_states;
 	ret->init = oscar_init;
@@ -2570,5 +2727,5 @@
 	ret->rem_deny = oscar_rem_deny;
 	ret->send_typing = oscar_send_typing;
-	
+
 	ret->handle_cmp = aim_sncmp;
 
Index: protocols/oscar/oscar_util.c
===================================================================
--- protocols/oscar/oscar_util.c	(revision 8519f457c31139750b9f7497834ac90a57196d22)
+++ protocols/oscar/oscar_util.c	(revision 75ad761cc229568e799659d6c6a623c4bc837ba4)
@@ -4,7 +4,7 @@
 /*
 * int snlen(const char *)
-* 
+*
 * This takes a screen name and returns its length without
-* spaces.  If there are no spaces in the SN, then the 
+* spaces.  If there are no spaces in the SN, then the
 * return is equal to that of strlen().
 *
@@ -15,11 +15,13 @@
 	const char *curPtr = NULL;
 
-	if (!sn)
+	if (!sn) {
 		return 0;
+	}
 
 	curPtr = sn;
-	while ( (*curPtr) != (char) '\0') {
-		if ((*curPtr) != ' ')
-		i++;
+	while ((*curPtr) != (char) '\0') {
+		if ((*curPtr) != ' ') {
+			i++;
+		}
 		curPtr++;
 	}
@@ -45,18 +47,22 @@
 	const char *curPtr1 = NULL, *curPtr2 = NULL;
 
-	if (aim_snlen(sn1) != aim_snlen(sn2))
+	if (aim_snlen(sn1) != aim_snlen(sn2)) {
 		return 1;
+	}
 
 	curPtr1 = sn1;
 	curPtr2 = sn2;
-	while ( (*curPtr1 != (char) '\0') && (*curPtr2 != (char) '\0') ) {
-		if ( (*curPtr1 == ' ') || (*curPtr2 == ' ') ) {
-			if (*curPtr1 == ' ')
+	while ((*curPtr1 != (char) '\0') && (*curPtr2 != (char) '\0')) {
+		if ((*curPtr1 == ' ') || (*curPtr2 == ' ')) {
+			if (*curPtr1 == ' ') {
 				curPtr1++;
-			if (*curPtr2 == ' ')
+			}
+			if (*curPtr2 == ' ') {
 				curPtr2++;
+			}
 		} else {
-			if ( g_ascii_toupper(*curPtr1) != g_ascii_toupper(*curPtr2))
+			if (g_ascii_toupper(*curPtr1) != g_ascii_toupper(*curPtr2)) {
 				return 1;
+			}
 			curPtr1++;
 			curPtr2++;
@@ -65,6 +71,7 @@
 
 	/* Should both be NULL */
-	if (*curPtr1 != *curPtr2)
+	if (*curPtr1 != *curPtr2) {
 		return 1;
+	}
 
 	return 0;
Index: protocols/oscar/rxhandlers.c
===================================================================
--- protocols/oscar/rxhandlers.c	(revision 8519f457c31139750b9f7497834ac90a57196d22)
+++ protocols/oscar/rxhandlers.c	(revision 75ad761cc229568e799659d6c6a623c4bc837ba4)
@@ -22,7 +22,8 @@
 	aim_module_t *cur;
 
-	for (cur = (aim_module_t *)sess->modlistv; cur; cur = cur->next) {
-		if (cur->family == group)
+	for (cur = (aim_module_t *) sess->modlistv; cur; cur = cur->next) {
+		if (cur->family == group) {
 			return cur;
+		}
 	}
 
@@ -34,7 +35,8 @@
 	aim_module_t *cur;
 
-	for (cur = (aim_module_t *)sess->modlistv; cur; cur = cur->next) {
-		if (strcmp(name, cur->name) == 0)
+	for (cur = (aim_module_t *) sess->modlistv; cur; cur = cur->next) {
+		if (strcmp(name, cur->name) == 0) {
 			return cur;
+		}
 	}
 
@@ -46,9 +48,11 @@
 	aim_module_t *mod;
 
-	if (!sess || !modfirst)
-		return -1;
-
-	if (!(mod = g_new0(aim_module_t,1)))
-		return -1;
+	if (!sess || !modfirst) {
+		return -1;
+	}
+
+	if (!(mod = g_new0(aim_module_t, 1))) {
+		return -1;
+	}
 
 	if (modfirst(sess, mod) == -1) {
@@ -58,11 +62,12 @@
 
 	if (aim__findmodule(sess, mod->name)) {
-		if (mod->shutdown)
+		if (mod->shutdown) {
 			mod->shutdown(sess, mod);
+		}
 		g_free(mod);
 		return -1;
 	}
 
-	mod->next = (aim_module_t *)sess->modlistv;
+	mod->next = (aim_module_t *) sess->modlistv;
 	sess->modlistv = mod;
 
@@ -75,11 +80,12 @@
 	aim_module_t *cur;
 
-	for (cur = (aim_module_t *)sess->modlistv; cur; ) {
+	for (cur = (aim_module_t *) sess->modlistv; cur; ) {
 		aim_module_t *tmp;
 
 		tmp = cur->next;
 
-		if (cur->shutdown)
+		if (cur->shutdown) {
 			cur->shutdown(sess, cur);
+		}
 
 		g_free(cur);
@@ -98,6 +104,7 @@
 	aim_modsnac_t snac;
 
-	if (aim_bstream_empty(&rx->data) < 10)
+	if (aim_bstream_empty(&rx->data) < 10) {
 		return 0;
+	}
 
 	snac.family = aimbs_get16(&rx->data);
@@ -107,18 +114,20 @@
 
 	/* Contains TLV(s) in the FNAC header */
-	if(snac.flags & 0x8000) {
+	if (snac.flags & 0x8000) {
 		aim_bstream_advance(&rx->data, aimbs_get16(&rx->data));
-	} else if(snac.flags & 0x0001) {
+	} else if (snac.flags & 0x0001) {
 		/* Following SNAC will be related */
 	}
 
-	for (cur = (aim_module_t *)sess->modlistv; cur; cur = cur->next) {
-
-		if (!(cur->flags & AIM_MODFLAG_MULTIFAMILY) && 
-				(cur->family != snac.family))
-			continue;
-
-		if (cur->snachandler(sess, cur, rx, &snac, &rx->data))
+	for (cur = (aim_module_t *) sess->modlistv; cur; cur = cur->next) {
+
+		if (!(cur->flags & AIM_MODFLAG_MULTIFAMILY) &&
+		    (cur->family != snac.family)) {
+			continue;
+		}
+
+		if (cur->snachandler(sess, cur, rx, &snac, &rx->data)) {
 			return 1;
+		}
 
 	}
@@ -136,12 +145,14 @@
 	snac.flags = snac.id = 0;
 
-	for (cur = (aim_module_t *)sess->modlistv; cur; cur = cur->next) {
-
-		if (!(cur->flags & AIM_MODFLAG_MULTIFAMILY) && 
-				(cur->family != snac.family))
-			continue;
-
-		if (cur->snachandler(sess, cur, rx, &snac, &rx->data))
+	for (cur = (aim_module_t *) sess->modlistv; cur; cur = cur->next) {
+
+		if (!(cur->flags & AIM_MODFLAG_MULTIFAMILY) &&
+		    (cur->family != snac.family)) {
+			continue;
+		}
+
+		if (cur->snachandler(sess, cur, rx, &snac, &rx->data)) {
 			return 1;
+		}
 
 	}
@@ -165,17 +176,21 @@
 	/* Used only by the older login protocol */
 	/* XXX remove this special case? */
-	if (fr->conn->type == AIM_CONN_TYPE_AUTH)
+	if (fr->conn->type == AIM_CONN_TYPE_AUTH) {
 		return consumenonsnac(sess, fr, 0x0017, 0x0003);
+	}
 
 	tlvlist = aim_readtlvchain(&fr->data);
 
-	if (aim_gettlv(tlvlist, 0x0009, 1))
+	if (aim_gettlv(tlvlist, 0x0009, 1)) {
 		code = aim_gettlv16(tlvlist, 0x0009, 1);
-
-	if (aim_gettlv(tlvlist, 0x000b, 1))
+	}
+
+	if (aim_gettlv(tlvlist, 0x000b, 1)) {
 		msg = aim_gettlv_str(tlvlist, 0x000b, 1);
-
-	if ((userfunc = aim_callhandler(sess, fr->conn, AIM_CB_FAM_SPECIAL, AIM_CB_SPECIAL_CONNERR))) 
+	}
+
+	if ((userfunc = aim_callhandler(sess, fr->conn, AIM_CB_FAM_SPECIAL, AIM_CB_SPECIAL_CONNERR))) {
 		ret = userfunc(sess, fr, code, msg);
+	}
 
 	aim_freetlvchain(&tlvlist);
@@ -195,29 +210,32 @@
 		guint16 type;
 	} dontuse[] = {
-		{0x0001, 0x0002},
-		{0x0001, 0x0003},
-		{0x0001, 0x0006},
-		{0x0001, 0x0007},
-		{0x0001, 0x0008},
-		{0x0001, 0x0017},
-		{0x0001, 0x0018},
-		{0x0000, 0x0000}
+		{ 0x0001, 0x0002 },
+		{ 0x0001, 0x0003 },
+		{ 0x0001, 0x0006 },
+		{ 0x0001, 0x0007 },
+		{ 0x0001, 0x0008 },
+		{ 0x0001, 0x0017 },
+		{ 0x0001, 0x0018 },
+		{ 0x0000, 0x0000 }
 	};
 	int i;
 
 	for (i = 0; dontuse[i].group != 0x0000; i++) {
-		if ((dontuse[i].group == group) && (dontuse[i].type == type))
+		if ((dontuse[i].group == group) && (dontuse[i].type == type)) {
 			return 1;
-	}
-
-	return 0;
-}
-
-int aim_conn_addhandler(aim_session_t *sess, aim_conn_t *conn, guint16 family, guint16 type, aim_rxcallback_t newhandler, guint16 flags)
+		}
+	}
+
+	return 0;
+}
+
+int aim_conn_addhandler(aim_session_t *sess, aim_conn_t *conn, guint16 family, guint16 type,
+                        aim_rxcallback_t newhandler, guint16 flags)
 {
 	struct aim_rxcblist_s *newcb;
 
-	if (!conn)
-		return -1;
+	if (!conn) {
+		return -1;
+	}
 
 	if (checkdisallowed(family, type)) {
@@ -226,6 +244,7 @@
 	}
 
-	if (!(newcb = (struct aim_rxcblist_s *)g_new0(struct aim_rxcblist_s, 1)))
-		return -1;
+	if (!(newcb = (struct aim_rxcblist_s *) g_new0(struct aim_rxcblist_s, 1))) {
+		return -1;
+	}
 
 	newcb->family = family;
@@ -235,11 +254,12 @@
 	newcb->next = NULL;
 
-	if (!conn->handlerlist)
-		conn->handlerlist = (void *)newcb;
-	else {
+	if (!conn->handlerlist) {
+		conn->handlerlist = (void *) newcb;
+	} else {
 		struct aim_rxcblist_s *cur;
 
-		for (cur = (struct aim_rxcblist_s *)conn->handlerlist; cur->next; cur = cur->next)
+		for (cur = (struct aim_rxcblist_s *) conn->handlerlist; cur->next; cur = cur->next) {
 			;
+		}
 		cur->next = newcb;
 	}
@@ -252,8 +272,9 @@
 	struct aim_rxcblist_s *cur;
 
-	if (!conn)
-		return -1;
-
-	for (cur = (struct aim_rxcblist_s *)conn->handlerlist; cur; ) {
+	if (!conn) {
+		return -1;
+	}
+
+	for (cur = (struct aim_rxcblist_s *) conn->handlerlist; cur; ) {
 		struct aim_rxcblist_s *tmp;
 
@@ -271,10 +292,12 @@
 	struct aim_rxcblist_s *cur;
 
-	if (!conn)
+	if (!conn) {
 		return NULL;
-
-	for (cur = (struct aim_rxcblist_s *)conn->handlerlist; cur; cur = cur->next) {
-		if ((cur->family == family) && (cur->type == type))
+	}
+
+	for (cur = (struct aim_rxcblist_s *) conn->handlerlist; cur; cur = cur->next) {
+		if ((cur->family == family) && (cur->type == type)) {
 			return cur->handler;
+		}
 	}
 
@@ -286,10 +309,12 @@
 }
 
-static int aim_callhandler_noparam(aim_session_t *sess, aim_conn_t *conn,guint16 family, guint16 type, aim_frame_t *ptr)
+static int aim_callhandler_noparam(aim_session_t *sess, aim_conn_t *conn, guint16 family, guint16 type,
+                                   aim_frame_t *ptr)
 {
 	aim_rxcallback_t userfunc;
 
-	if ((userfunc = aim_callhandler(sess, conn, family, type)))
+	if ((userfunc = aim_callhandler(sess, conn, family, type))) {
 		return userfunc(sess, ptr);
+	}
 
 	return 1; /* XXX */
@@ -322,17 +347,20 @@
 		 */
 
-		if (cur->handled)
-			continue;
+		if (cur->handled) {
+			continue;
+		}
 
 		if (cur->hdr.flap.type == 0x01) {
-			
-			cur->handled = aim_callhandler_noparam(sess, cur->conn, AIM_CB_FAM_SPECIAL, AIM_CB_SPECIAL_FLAPVER, cur); /* XXX use consumenonsnac */
-			
-			continue;
-			
+
+			cur->handled = aim_callhandler_noparam(sess, cur->conn, AIM_CB_FAM_SPECIAL,
+			                                       AIM_CB_SPECIAL_FLAPVER, cur);                                      /* XXX use consumenonsnac */
+
+			continue;
+
 		} else if (cur->hdr.flap.type == 0x02) {
 
-			if ((cur->handled = consumesnac(sess, cur)))
+			if ((cur->handled = consumesnac(sess, cur))) {
 				continue;
+			}
 
 		} else if (cur->hdr.flap.type == 0x04) {
@@ -341,7 +369,8 @@
 			continue;
 
-		} else if (cur->hdr.flap.type == 0x05)
+		} else if (cur->hdr.flap.type == 0x05) {
 			;
-		
+		}
+
 		if (!cur->handled) {
 			consumenonsnac(sess, cur, 0xffff, 0xffff); /* last chance! */
@@ -350,5 +379,5 @@
 	}
 
-	/* 
+	/*
 	 * This doesn't have to be called here.  It could easily be done
 	 * by a seperate thread or something. It's an administrative operation,
